Bug 44473 - Resurrection of port devel/pear.
Summary: Resurrection of port devel/pear.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: sada
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-25 23:50 UTC by Thierry Thomas
Modified: 2002-11-17 05:17 UTC (History)
1 user (show)

See Also:


Attachments
pear.tar.gz (6.45 KB, text/plain)
2002-10-25 23:50 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-10-25 23:50:01 UTC
	. PEAR is a framework and distribution system for reusable PHP
	  components;
	. it is still bundled with mod_php4, but could be removed from
	  next releases;
	. the distribution bundled with mod_php4 is neither complete nor
	  up-to-date;
	. the port www/horde2 requires one of these packages (Log);
	. -HEAD branches (aka next releases) of several ports (mail/imp,
	  deskutils/kronolith, etc.) require these packages;
	. port devel/pear had been marked broken (see PR ports/33050) when
	  mod_php 4.1.0 was released;
	. PR ports/37649 (unbreaking) has never been committed: it is
	  superseded by this PR;
	. devel/pear has been removed by Kris on 2002/10/12 20:44:27 PDT.

Fix: The following uuencoded file contains a tarball with several shar
	files:
How-To-Repeat: 	I have totally rewritten the original port, and there are several
	parts:

	- devel/pear is just a meta-port, to install everything - if needed;
	- all these ports use a PKGNAMEPREFIX= pear-
	- devel/pear-install is a common part, used to backup the
	  original (from mod_php4) distribution;
	- sysutils/pear-Log is required by www/horde2;
	- the other ports are used by -HEAD branches of the Horde framework,
	  and by cuting-edge devs in PHP.
Comment 1 sada freebsd_committer 2002-11-15 08:04:44 UTC
Doing pkg_add pear-install-4.2.3.tgz wouldn't make
$LOCALBASE/lib/php.DIST_PHP so you would lose $LOCALBASE/lib/php when
you do pkg_delete.

It would be better that you just make backup copy of lib/php in
pkg-plist, like do-install target does.

Below patch would work; please verify.

--
diff -Bbuw -r pear-install.orig/Makefile pear-install/Makefile
--- pear-install.orig/Makefile	Fri Nov 15 16:36:24 2002
+++ pear-install/Makefile	Fri Nov 15 16:42:01 2002
@@ -36,10 +36,4 @@
 	@${MKDIR} ${PEARDIR}.DIST_PHP
 	@${CP} -Rp ${PEARDIR}/* ${PEARDIR}.DIST_PHP
 
-post-install:
-	@(cd ${LOCALBASE} && ${FIND} -d ${LPHP_LIB}/* \! -type d) >> ${TMPPLIST}
-	@(cd ${LOCALBASE} && ${FIND} -d ${LPHP_LIB}/* -type d) | ${SED} -e 's#^#@dirrm #' >> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec rm -r %D/lib/php || true" >> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec mv %D/lib/php.DIST_PHP %D/lib/php || true" >> ${TMPPLIST}
-
 .include <bsd.port.post.mk>
diff -Bbuw -r pear-install.orig/pkg-plist pear-install/pkg-plist
--- pear-install.orig/pkg-plist	Fri Nov 15 16:36:24 2002
+++ pear-install/pkg-plist	Fri Nov 15 16:44:26 2002
@@ -1 +1,4 @@
-@comment this plist intentionally left empty
+@exec rm -r %D/lib/php.DIST_PHP >/dev/null 2>&1 || true
+@exec cp -rp %D/lib/php %D/lib/php.DIST_PHP
+@unexec rm -r %D/lib/php || true
+@unexec mv %D/lib/php.DIST_PHP %D/lib/php || true
Comment 2 sada freebsd_committer 2002-11-15 08:05:08 UTC
Responsible Changed
From-To: freebsd-ports->sada

I'll handle this.
Comment 3 sada freebsd_committer 2002-11-17 05:17:03 UTC
State Changed
From-To: open->closed

Committed, thanks!